Debian Bug report logs - #677409
Fails to launch if previously used video mode not available

version graph

Package: neverball; Maintainer for neverball is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for neverball is src:neverball.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Wed, 13 Jun 2012 18:09:01 UTC

Severity: normal

Tags: patch

Found in version neverball/1.5.4-5

Fixed in version neverball/1.5.4-6

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677409; Package neverball. (Wed, 13 Jun 2012 18:09:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fails to launch if previously used video mode not available
Date: Wed, 13 Jun 2012 11:06:56 -0700
Package: neverball
Version: 1.5.4-5
Severity: normal

Neverball remembers the previously used video mode, and attempts to use
that mode again the next time it runs.  If unavailable (such as if that
mode used an external monitor not currently attached), neverball will
print an error message like "No video mode large enough for 2560x1440"
and refuse to start.  Fixing that requires hand-editing
~/.neverball/neverballrc .  To anyone attempting to launch the game from
a menu rather than the command line, the game would simply appear
broken.

Please fall back to an available video mode if the one remembered in the
configuration file no longer works.

- Josh Triplett

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages neverball depends on:
ii  libc6                     2.13-33
ii  libgl1-mesa-glx [libgl1]  8.0.2-2
ii  libjpeg8                  8d-1
ii  libphysfs1                2.0.2-6
ii  libpng12-0                1.2.49-1
ii  libsdl-ttf2.0-0           2.0.11-2
ii  libsdl1.2debian           1.2.15-4
ii  libvorbisfile3            1.3.2-1.3
ii  libx11-6                  2:1.4.99.901-2
ii  neverball-data            1.5.4-5

neverball recommends no packages.

Versions of packages neverball suggests:
ii  neverputt  1.5.4-5

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677409; Package neverball. (Thu, 14 Jun 2012 09:12:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 14 Jun 2012 09:13:55 GMT) Full text and rfc822 format available.

Message #8 received at 677409@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Josh Triplett <josh@joshtriplett.org>, 677409@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#677409: Fails to launch if previously used video mode not available
Date: Thu, 14 Jun 2012 11:13:03 +0200
[Message part 1 (text/plain, inline)]
tags 677409 patch
thanks


Am 13.06.2012 20:06, schrieb Josh Triplett:
> Please fall back to an available video mode if the one remembered in the
> configuration file no longer works.

The attached patch should help. It's a pitty there is no API to reset 
certain configuration items to their hard-coded defaults in option_d[].

 - Fabian
[reset_video_mode.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Thu, 14 Jun 2012 09:18:10 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Mon, 03 Jun 2013 05:21:12 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Mon, 03 Jun 2013 05:21:12 GMT) Full text and rfc822 format available.

Message #15 received at 677409-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 677409-close@bugs.debian.org
Subject: Bug#677409: fixed in neverball 1.5.4-6
Date: Mon, 03 Jun 2013 05:18:53 +0000
Source: neverball
Source-Version: 1.5.4-6

We believe that the bug you reported is fixed in the latest version of
neverball, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677409@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated neverball package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 02 Jun 2013 12:41:18 +0200
Source: neverball
Binary: neverball neverball-data neverball-common neverputt neverputt-data neverball-dbg
Architecture: source amd64 all
Version: 1.5.4-6
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 neverball  - 3D floor-tilting game
 neverball-common - data files for Neverball and Neverputt
 neverball-data - data files for Neverball
 neverball-dbg - debugging information for Neverball and Neverputt
 neverputt  - 3D miniature golf game
 neverputt-data - data files for Neverputt
Closes: 651180 662445 677409 700287
Changes: 
 neverball (1.5.4-6) unstable; urgency=low
 .
   [ Juhani Numminen ]
   * Team upload
   * libpng15 transition: Build-depend on libpng-dev instead of
     libpng12-dev. (Closes: #662445)
   * Fix neverball not launching if previously used video mode is
     not available by adding reset-video-mode.patch. (Closes: #677409)
     Thanks to Fabian Greffrath for the patch.
   * Fix non-working Vcs-Browser field in control (400 Bad Request)
     with a working one.
   * Implement hardening by using dpkg-buildflags in debian/rules to export all
     necessary build flags.
 .
   [ Markus Koschany ]
   * Bump compat level to 9 and require debhelper >= 9.
   * Bump Standards-Version to 3.9.4, no changes needed.
   * Switch to source format 3.0 (quilt).
   * Update debian/copyright to copyright format 1.0.
   * Update the watch file and make the extension regex more flexible.
   * Add longtitle to menu files.
   * Drop build-dependency on quilt because source format 3.0 uses quilt by
     default and remove README.source.
   * debian/control:
     - Drop old Conflicts relationships. Older packages of neverball and
       neverputt (Lenny and earlier) are no longer supported.
     - Use fonts-dejavu-core instead of the deprecated ttf-dejavu-core package.
     - data-packages: Suggest neverball and neverputt.
   * Rewrite and simplify debian/rules by using dh sequencer.
   * Build with --parallel.
   * Drop NEWS file. Users who upgrade from Squeeze or Wheezy are not affected.
     Upgrading directly from Lenny to Jessie is not supported.
   * Add DEP-3 headers to all patches and forward them upstream.
   * Install all debugging symbols correctly and make neverball-dbg useful again.
     (Closes: #651180)
   * Update French .po file. Change the occurrences of "sauver" to
     "enregistrer". (Closes: #700287)
Checksums-Sha1: 
 364ae64117dcc24168152fc271040665feb1d161 2345 neverball_1.5.4-6.dsc
 619c227e1958bd60738f12dbbde9b30c91dd79a7 26767623 neverball_1.5.4.orig.tar.gz
 3a5e8198bfc007351f71ef5ba77e818b0959ae9a 16817 neverball_1.5.4-6.debian.tar.gz
 36b24b9a5e1bcb0e72c0065235f1ec38c8536b07 180218 neverball_1.5.4-6_amd64.deb
 9970e715090135369540ef5fb77aa92110b49663 25575562 neverball-data_1.5.4-6_all.deb
 6ec52e6b7234bc84b4bd98c48192fe0545ed3399 16132144 neverball-common_1.5.4-6_all.deb
 696d3417bf233d541b3ea72963b03dddae72e30e 122218 neverputt_1.5.4-6_amd64.deb
 977338cb065d31e758745bf85efad178effbbf76 3336968 neverputt-data_1.5.4-6_all.deb
 97f6f640b496fdfd11a51da233a31505429b68de 631588 neverball-dbg_1.5.4-6_amd64.deb
Checksums-Sha256: 
 b564b77eaeab1dcee1f31b3d8a19bd50468be74c90200912f1a48cfb5827d448 2345 neverball_1.5.4-6.dsc
 ea31ca9f6eec70c8e66eaa20d7ce9e48295fdb077313b97637c503b16b7b0da6 26767623 neverball_1.5.4.orig.tar.gz
 cda357f4b85fcb66642785a2ee3f05d413a9db76e4d9842c175afcec92a08be2 16817 neverball_1.5.4-6.debian.tar.gz
 6a530ebe08118a3faf0c0778c2217b147413e3cf99362a45d40dc7e8af334390 180218 neverball_1.5.4-6_amd64.deb
 f7f06300871b01d00cfa909ccd7df7084cc9b4573633ebdb578a65487a04c30b 25575562 neverball-data_1.5.4-6_all.deb
 f9e45bc32928217350fa67d8d79bcd80713cd38fc1e7f641d252ca8f9ae61a3a 16132144 neverball-common_1.5.4-6_all.deb
 5201c7f8376042474cee6b66f3699ea54d910303246db161f4016d6fce1d5503 122218 neverputt_1.5.4-6_amd64.deb
 b7d9738c4ad441cb83a4f511da752be280e0edf9c3c895c8b630c2ada265a75f 3336968 neverputt-data_1.5.4-6_all.deb
 7fa388f2e95505267b146860e1ff45dcd523e166406a9426f9910e9b2704a4d8 631588 neverball-dbg_1.5.4-6_amd64.deb
Files: 
 94738ac2854e6a29bc0863e7f2f47f30 2345 games optional neverball_1.5.4-6.dsc
 c523b0f72c2035831310e821162f7bd7 26767623 games optional neverball_1.5.4.orig.tar.gz
 b459a2e80b653f077a0459d790f0da26 16817 games optional neverball_1.5.4-6.debian.tar.gz
 bf330de7d80858ecec082df5979f2afa 180218 games optional neverball_1.5.4-6_amd64.deb
 eb9aca44a3911ad123db62c19b5ba4fa 25575562 games optional neverball-data_1.5.4-6_all.deb
 f8ce0550a11815919cf64bbd814d2d41 16132144 games optional neverball-common_1.5.4-6_all.deb
 736f46591b542228464a658549114e9f 122218 games optional neverputt_1.5.4-6_amd64.deb
 b9de12c0d4cad4ea4bff9a99edc7f233 3336968 games optional neverputt-data_1.5.4-6_all.deb
 d67e7574e4eb0e0aac6ebe740ad297a8 631588 debug extra neverball-dbg_1.5.4-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRrCRMAAoJEHQmOzf1tfkTd7MQAITe6HniLZizCH3cRQcMbql1
OZqlziEFp0gWbURChnbI033TTPZKmBOJs+2EHsKPKpCoYf0lLF+5znT4+jugBnmj
FZhMxSI0i77ewIQTJa3HwheiEsdwkIfaftQOqcropc+Wp9MdAghFBOQKcr5aHbQi
NikNfryHv0yElTKqe4eEQygrF0Rv5ZPj1i3iN1ecPh+1KSoL8eaxjZItKUd9pTx+
pf/NzBn0Ct9m1wDyU9+vEIuqT1ZGCUpSBNihewjXY+TxseOyICpY7CyUM0Z0WqiX
fjyfiB6gp46JiPUdLAVs9LOLRj72SDVmpKK7I2A4OKsYreI3k9Ps385YzMM7cfQ9
JvfmOOoRe4zbPpNpejgD6IuS9EFBtb7cEz/RiMBkgv/TdyxwSU9gyXT63mpM6AQu
A1gb5Qhu8Qg/LNzSLqtFjXnWaEtuxC3cCccGFtv2wCYEw5WoChbbmitRjoHB+dNn
KK+AoAEAkL6nKkywR8oilH07xDsCcgLy7dYRD/ND4aP7HNBOw8Jxl6KqInH9oPgm
YRAvKiDvH35MHNhJ6O2z+i0PiVtatoUycoc6pVUtrXi05YBEg8xE9dBzVaDBou98
xhH5Gx01UJlH8Gj51qBSn5vn2wCeibBalbJYh0WZiNh20bAuYPjzCrD4twPjqgtE
8ZyR1OWM69XRb7vdnbHo
=xq2N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Jul 2013 07:27:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:29:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.